libtest-harness-perl (3.42-2) unstable; urgency=medium

  [ Laurent Baillet ]
  * fix lintian example-incorrect-path-for-interpreter error

  [ gregor herrmann ]
  * debian/watch: use uscan version 4.

  [ Helmut Grohne ]
  * Mark libtest-harness-perl Multi-Arch: foreign. (Closes: #952632)

  [ gregor herrmann ]
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.5.0.
  * Set Rules-Requires-Root: no.
  * Bump debhelper-compat to 12.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata.

 -- gregor herrmann <gregoa@debian.org>  Wed, 26 Feb 2020 18:08:47 +0100

libtest-harness-perl (3.42-1) unstable; urgency=medium

  * Import upstream version 3.42.
  * Update years of packaging copyright.
  * Bump debhelper compatibility level to 10.
  * Remove trailing whitespace in debian/rules.
    Thanks to pedantic lintian.

 -- gregor herrmann <gregoa@debian.org>  Sat, 31 Mar 2018 23:59:51 +0200

libtest-harness-perl (3.41-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Damyan Ivanov ]
  * New upstream version 3.41
  * refresh line numbers in manpage-errors.patch
  * add pod-spelling.patch
  * Declare conformance with Policy 4.1.3 (no changes necessary)

 -- Damyan Ivanov <dmn@debian.org>  Sun, 18 Mar 2018 13:08:24 +0000

libtest-harness-perl (3.39-1) unstable; urgency=medium

  * Team upload.

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * debian/upstream/metadata: change GitHub/CPAN URL(s) to HTTPS.
  * Remove Antonio Radici from Uploaders. Thanks for your work!
  * Remove Jonathan Yu from Uploaders. Thanks for your work!
  * Remove Ryan Niebur from Uploaders. Thanks for your work!

  [ Niko Tyni ]
  * Import upstream version 3.39.
    + this version is installable with Perl 5.26 (Closes: #839204)
    + builds without PERL_USE_UNSAFE_INC (Closes: #871799)

 -- Niko Tyni <ntyni@debian.org>  Mon, 21 Aug 2017 22:26:34 +0300

libtest-harness-perl (3.36-1) unstable; urgency=medium

  * Team upload.

  [ gregor herrmann ]
  * Rename autopkgtest configuration file(s) as per new pkg-perl-
    autopkgtest schema.

  [ Lucas Kanashiro ]
  * Import upstream version 3.36
  * Fix email contact in d/u/metadata
  * Bump debhelper compatibility level to 9
  * Remove dropped files by upstream from d/copyright.
    Stop bundling Test::More for testing.

 -- Lucas Kanashiro <kanashiro.duarte@gmail.com>  Sun, 10 Jan 2016 23:42:11 -0200

libtest-harness-perl (3.35-1) unstable; urgency=medium

  [ gregor herrmann ]
  * debian/tests/control: add stanza for new runtime-deps-and-recommends
    tests.
  * Rename debian/tests/test-files to debian/tests/pkg-perl/test-files.
  * Drop debian/tests/control, add Testsuite field to debian/control
    instead.
  * Imported Upstream version 3.33

  [ Damyan Ivanov ]
  * Imported Upstream version 3.35
  * Refresh manpage-error.patch (offset)
  * Add another typo to manpage-errors.patch
  * declare conformance to Policy 3.9.6

 -- Damyan Ivanov <dmn@debian.org>  Sat, 13 Jun 2015 18:45:02 +0000

libtest-harness-perl (3.33-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ gregor herrmann ]
  * Add debian/upstream/metadata.
  * Imported upstream version 3.33
  * Add autopkgtest control file.
  * manpage-error.patch: drop hunk which was merged upstream.

 -- gregor herrmann <gregoa@debian.org>  Mon, 08 Sep 2014 21:12:22 +0200

libtest-harness-perl (3.32-1) unstable; urgency=medium

  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Thu, 12 Jun 2014 17:19:44 +0200

libtest-harness-perl (3.31-1) unstable; urgency=medium

  * debian/control: remove Nicholas Bamber from Uploaders on request of
    the MIA team.
  * Strip trailing slash from metacpan URLs.

  * New upstream release.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Sun, 08 Jun 2014 11:43:43 +0200

libtest-harness-perl (3.30-1) unstable; urgency=low

  * New upstream release.
  * Declare compliance with Debian Policy 3.9.5.

 -- gregor herrmann <gregoa@debian.org>  Sun, 24 Nov 2013 17:37:37 +0100

libtest-harness-perl (3.29-1) unstable; urgency=low

  * New upstream release.
  * Update manpage-error.patch; parts applied upstream.

 -- gregor herrmann <gregoa@debian.org>  Fri, 11 Oct 2013 20:04:17 +0200

libtest-harness-perl (3.28-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ gregor herrmann ]
  * New upstream release.
  * Merge the two POD patches and add some more fixes.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 3.9.4.

 -- gregor herrmann <gregoa@debian.org>  Sun, 08 Sep 2013 17:35:10 +0200

libtest-harness-perl (3.25-1) unstable; urgency=low

  [ gregor herrmann ]
  * Email change: Ryan Niebur -> ryan@debian.org

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ gregor herrmann ]
  * New upstream release.
  * debian/copyright: update to Copyright-Format 1.0.
  * Update years of packaging copyright.
  * Bump Standards-Version to 3.9.3 (no changes).
  * Set debhelper compatibility level to 8.
  * Drop Breaks/Replaces against pre-lenny package.
  * Fix a spelling mistake.

 -- gregor herrmann <gregoa@debian.org>  Sat, 09 Jun 2012 00:26:27 +0200

libtest-harness-perl (3.23-1) unstable; urgency=low

  * Fix typo in patch header
  * New upstream release
  * Updated copyright

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Fri, 25 Feb 2011 16:57:53 +0000

libtest-harness-perl (3.22-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
  * Standards-Version 3.8.4 (no changes)
  * Update long description in control

  [ gregor herrmann ]
  * Set Standards-Version to 3.9.1; replace Conflicts with Breaks.

  [ Nicholas Bamber ]
  * New upstream release - Closes: 592506 and Closes: 593001.
  * Added source/format file and deleted README.source as quilt is standard
  * Added myself to Uploaders and updated copyright
  * Removed --with quilt from rules as quilt is now standard.
  * Removed fix-pod-spelling.patch
  * Reviewed fix-whatis.patch
  * Reviewed manpage-error.patch
  * Changed 'Debian GNU/Linux' to 'Debian' in copyright

  [ gregor herrmann ]
  * debian/copyright: update formatting to a more recent DEP5 version.
  * debian/control: remove quilt build dependency, lower debhelper build
    dependency.

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Sun, 12 Sep 2010 22:50:53 +0100

libtest-harness-perl (3.20-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
  * Standards-Version 3.8.3 (drop perl version dep)
  * Add myself to Uploaders and Copyright
  * Rewrite control description
  * Use new short debhelper rules format
  * Refresh manpage-error.patch
  * Include a patch for adding a whatis entry
  * Add a patch to fix POD spelling errors

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ Ryan Niebur ]
  * Update ryan52's email address

  [ gregor herrmann ]
  * debian/control: Changed: refer to perl instead of perl-modules in long
    description.

 -- Jonathan Yu <jawnsy@cpan.org>  Tue, 26 Jan 2010 22:24:20 -0500

libtest-harness-perl (3.17-1) unstable; urgency=low

  [ Antonio Radici ]
  * New upstream release
  * debian/control:
    + added myself to the Uploaders
    + adding ${misc:Depends} to libtap-parser-perl (to make lintian happy)
  * debian/copyright: switched to the new format
  * debian/patches
    + manpage-error.patch: description added
  * debian/postrm and debian/preinst: added set -e

  [ gregor herrmann ]
  * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
    (source stanza).
  * Drop transitional dummy package libtap-parser-perl now that Lenny is
    released.

  [ Ryan Niebur ]
  * New upstream release
  * Add myself to Uploaders
  * Debian Policy 3.8.1
  * refresh patches
  * add another file to copyright

 -- Ryan Niebur <ryanryan52@gmail.com>  Tue, 05 May 2009 21:48:22 -0700

libtest-harness-perl (3.14-1) unstable; urgency=low

  * New upstream release.
  * Refresh manpage-error.patch.

 -- gregor herrmann <gregoa@debian.org>  Fri, 26 Sep 2008 22:54:52 +0200

libtest-harness-perl (3.13-1) unstable; urgency=low

  * New upstream release.
  * Set debhelper compatibility level to 7, adapt debian/rules.

 -- gregor herrmann <gregoa@debian.org>  Sun, 10 Aug 2008 20:27:18 -0300

libtest-harness-perl (3.12-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: update some years of copyright.

 -- gregor herrmann <gregoa@debian.org>  Sun, 29 Jun 2008 21:21:05 +0200

libtest-harness-perl (3.11-1) unstable; urgency=low

  * New upstream release.
  * Refresh patch manpage-error.patch.
  * Set Standards-Version to 3.8.0; add debian/README.source to document quilt
    usage.
  * Make dependency on quilt versioned.
  * debian/rules:
    - add install to .PHONY
    - remove obsolete source and diff targets
    - remove some comments
    - don't install files under t/sample-tests as docs any more
  * debian/control: change my email address.

 -- gregor herrmann <gregoa@debian.org>  Wed, 18 Jun 2008 19:19:40 +0200

libtest-harness-perl (3.10-1) unstable; urgency=low

  * New upstream release.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Mon, 17 Mar 2008 01:43:50 +0100

libtest-harness-perl (3.09-1) unstable; urgency=low

  * New upstream release.
  * Add /me to Uploaders.
  * Add patch manpage-error.patch (lintian issued a
    manpage-has-errors-from-man warning); add quilt framework.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Mon, 11 Feb 2008 23:14:21 +0100

libtest-harness-perl (3.07-1) unstable; urgency=low

  [ gregor herrmann ]
  * New upstream release.
  * debian/watch: extend regexp for matching upstream tarballs.
  * Set debhelper compatibility level to 6.
  * debian/rules: install examples.

 -- Roberto C. Sanchez <roberto@debian.org>  Mon, 21 Jan 2008 14:32:34 -0500

libtest-harness-perl (3.06-1) unstable; urgency=low

  [ gregor herrmann ]
  * New upstream release.
  * debian/rules: remove /usr/lib/perl5 only if it exists.

  [ Damyan Ivanov ]
  * debian/control: clean up Uploaders

 -- Damyan Ivanov <dmn@debian.org>  Thu, 10 Jan 2008 17:10:29 +0200

libtest-harness-perl (3.05-1) unstable; urgency=low

  * New upstream release.
  * Drop 'Provides: libtap-parser-perl' from debian/control and
    corresponding note about libtap-parser-perl and libmail-box-perl from
    debian/TODO.
  * Set Standards-Version to 3.7.3 (no changes needed).
  * debian/control: remove spurious trailing comma in Depends: line.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Tue, 18 Dec 2007 18:45:18 +0100

libtest-harness-perl (3.03-1) unstable; urgency=low

  [ Martín Ferrari ]
  * New upstream release.
  * Added myself to uploaders.

  [ Damyan Ivanov ]
  * debian/rules
    + move removing stamps before distclean

 -- Damyan Ivanov <dmn@debian.org>  Sat, 24 Nov 2007 23:37:50 +0200

libtest-harness-perl (3.02-1) unstable; urgency=low

  [ Damyan Ivanov ]
  * New upstream release
  * upstream now includes TAP-Parser in Test-Harness
    + Provides: libtap-parser-perl
    + Conflicts/Replaces: libtap-parser-perl (<<3.00-1)
    + Add dummy transitional binary package libtap-parser-perl

  [ gregor herrmann ]
  * Change URL in watch file.
  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza); Homepage field (source stanza). Removed: XS-
    Vcs-Svn fields.
  * debian/rules: move $(MAKE) test to build-stamp target, remove compiler
    variable, remove unused dh_* calls.
  * debian/rules: change build directory and call dh_install to actually
    build two binary packages.
  * debian/rules: don't install /usr/share/perl5/Test/HACKING.pod, we
    already have /usr/share/man/man3/Test::HACKING.3pm.gz.
  * debian/preinst: remove non POSIX compatible "-o".

  [ Damyan Ivanov ]
  * Add debian/TODO to not forget to drop the Provides and the dummy
    libtap-parser-perl when that time comes
  * debian/rules: fix build->install dependencies
  * Add myself to Uploaders
  * debian/copyright
    + Add upstream URL
    + Add detailed copyright information

 -- Damyan Ivanov <dmn@debian.org>  Sat, 17 Nov 2007 00:38:49 +0200

libtest-harness-perl (2.64-1) unstable; urgency=low

  * New upstream release

 -- Gunnar Wolf <gwolf@debian.org>  Fri, 27 Oct 2006 19:55:54 -0500

libtest-harness-perl (2.62-2) unstable; urgency=low

  * Diverted Perl's /usr/bin/prove, as this package was uninstallable

 -- Gunnar Wolf <gwolf@debian.org>  Thu, 31 Aug 2006 10:16:39 -0500

libtest-harness-perl (2.62-1) unstable; urgency=low

  * Initial Release. (Closes: #384407)

 -- Gunnar Wolf <gwolf@debian.org>  Wed, 23 Aug 2006 22:52:11 -0500
